=== modified file 'drizzled/generator.h'
--- drizzled/generator.h	2011-02-09 00:29:59 +0000
+++ drizzled/generator.h	2011-02-10 22:27:27 +0000
@@ -21,14 +21,16 @@
 #ifndef DRIZZLED_GENERATOR_H
 #define DRIZZLED_GENERATOR_H
 
-#include <drizzled/generator/table_definition_cache.h>
-#include <drizzled/generator/event_observers.h>
-#include <drizzled/generator/functions.h>
+// Needs to come first
 #include <drizzled/generator/schema.h>
-#include <drizzled/generator/table.h>
 #include <drizzled/generator/all_tables.h>
+
 #include <drizzled/generator/all_fields.h>
+#include <drizzled/generator/all_foreign_keys.h>
 #include <drizzled/generator/all_indexes.h>
-#include <drizzled/generator/all_foreign_keys.h>
+#include <drizzled/generator/event_observers.h>
+#include <drizzled/generator/functions.h>
+#include <drizzled/generator/table.h>
+#include <drizzled/generator/table_definition_cache.h>
 
 #endif /* DRIZZLED_GENERATOR_H */

=== modified file 'drizzled/global_charset_info.h'
--- drizzled/global_charset_info.h	2011-01-28 18:48:01 +0000
+++ drizzled/global_charset_info.h	2011-02-10 22:27:27 +0000
@@ -26,15 +26,15 @@
 namespace drizzled
 {
 
-typedef struct charset_info_st CHARSET_INFO;
+struct charset_info_st;
 
 /*
   External variables
 */
-extern DRIZZLED_API const CHARSET_INFO *default_charset_info;
-extern DRIZZLED_API const CHARSET_INFO *system_charset_info;
-extern const CHARSET_INFO *files_charset_info;
-extern const CHARSET_INFO *table_alias_charset;
+extern DRIZZLED_API const charset_info_st *default_charset_info;
+extern DRIZZLED_API const charset_info_st *system_charset_info;
+extern const charset_info_st *files_charset_info;
+extern const charset_info_st *table_alias_charset;
 
 } /* namespace drizzled */
 

=== modified file 'drizzled/handler_structs.h'
--- drizzled/handler_structs.h	2011-01-12 20:53:05 +0000
+++ drizzled/handler_structs.h	2011-02-10 22:27:27 +0000
@@ -32,14 +32,15 @@
 #endif
 
 #include <drizzled/base.h>
-#include <drizzled/structs.h>
 #include <drizzled/definitions.h>
 #include <drizzled/lex_string.h>
-#include "drizzled/global_charset_info.h"
+#include <drizzled/structs.h>
 
 namespace drizzled
 {
 
+struct charset_info_st;
+
 namespace plugin
 {
 class StorageEngine;
@@ -47,7 +48,7 @@
 
 typedef struct st_ha_create_information
 {
-  const CHARSET_INFO *table_charset, *default_table_charset;
+  const charset_info_st *table_charset, *default_table_charset;
   const char *alias;
   uint64_t auto_increment_value;
   uint32_t table_options;

=== modified file 'drizzled/item.h'
--- drizzled/item.h	2011-02-04 21:15:24 +0000
+++ drizzled/item.h	2011-02-10 22:27:27 +0000
@@ -22,13 +22,14 @@
 #ifndef DRIZZLED_ITEM_H
 #define DRIZZLED_ITEM_H
 
+#include <drizzled/global_charset_info.h>
 #include <drizzled/dtcollation.h>
 #include <drizzled/type/time.h>
 #include <drizzled/type/decimal.h>
 #include <drizzled/sql_list.h>
-#include "drizzled/memory/sql_alloc.h"
+#include <drizzled/memory/sql_alloc.h>
 #include <drizzled/table.h>
-#include "drizzled/item_result.h"
+#include <drizzled/item_result.h>
 
 #include "drizzled/visibility.h"
 

=== modified file 'drizzled/plugin/storage_engine.h'
--- drizzled/plugin/storage_engine.h	2011-02-09 22:48:12 +0000
+++ drizzled/plugin/storage_engine.h	2011-02-10 22:27:27 +0000
@@ -21,25 +21,24 @@
 #define DRIZZLED_PLUGIN_STORAGE_ENGINE_H
 
 
+#include <drizzled/cached_directory.h>
 #include <drizzled/definitions.h>
-#include <drizzled/plugin.h>
+#include <drizzled/error_t.h>
 #include <drizzled/handler_structs.h>
+#include <drizzled/identifier.h>
 #include <drizzled/message.h>
 #include <drizzled/message/cache.h>
-#include "drizzled/plugin/plugin.h"
-#include "drizzled/sql_string.h"
-#include "drizzled/identifier.h"
-#include "drizzled/cached_directory.h"
-#include "drizzled/plugin/monitored_in_transaction.h"
-
-#include <drizzled/error_t.h>
+#include <drizzled/plugin.h>
+#include <drizzled/plugin/monitored_in_transaction.h>
+#include <drizzled/plugin/plugin.h>
+#include <drizzled/sql_string.h>
 
 #include <bitset>
 #include <string>
 #include <vector>
 #include <set>
 
-#include "drizzled/visibility.h"
+#include <drizzled/visibility.h>
 
 namespace drizzled
 {

=== modified file 'drizzled/sql_string.h'
--- drizzled/sql_string.h	2011-01-28 18:48:01 +0000
+++ drizzled/sql_string.h	2011-02-10 22:27:27 +0000
@@ -23,6 +23,7 @@
 /* This file is originally from the mysql distribution. Coded by monty */
 
 #include <drizzled/common.h>
+
 #include <cassert>
 #include <cstdlib>
 #include <cstring>

=== modified file 'drizzled/table_ident.h'
--- drizzled/table_ident.h	2010-12-18 04:43:40 +0000
+++ drizzled/table_ident.h	2011-02-10 22:27:27 +0000
@@ -21,11 +21,16 @@
 #ifndef DRIZZLED_TABLE_IDENT_H
 #define DRIZZLED_TABLE_IDENT_H
 
-#include "drizzled/session.h"
+#include "drizzled/lex_string.h"
+#include "drizzled/memory/sql_alloc.h"
+#include "drizzled/util/test.h"
 
 namespace drizzled
 {
 
+extern char empty_c_string[1];
+extern char internal_table_name[2];
+
 /* Structure for db & table in sql_yacc */
 class Table_ident :public memory::SqlAlloc
 {

=== modified file 'plugin/information_schema_dictionary/domains.cc'
--- plugin/information_schema_dictionary/domains.cc	2010-03-17 19:18:40 +0000
+++ plugin/information_schema_dictionary/domains.cc	2011-02-10 22:27:27 +0000
@@ -19,6 +19,7 @@
  */
 
 #include "config.h"
+
 #include "plugin/information_schema_dictionary/dictionary.h"
 
 using namespace std;

